org.eclipse.january.dataset

## Class ContiguousSingleIteratorElemental

- java.lang.Object
- - org.eclipse.january.dataset.IndexIterator
  - - org.eclipse.january.dataset.BroadcastIteratorBase
    - - org.eclipse.january.dataset.BroadcastSelfIterator
      - - org.eclipse.january.dataset.ContiguousSingleIteratorElemental

-     public class ContiguousSingleIteratorElemental
      extends BroadcastSelfIterator

  Class to run over a pair of contiguous and elemental datasets with only the second dataset read
  Since:
    2.3

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.january.dataset.BroadcastIteratorBase

      `aDataset, aIndex, asDouble, bDataset, bDouble, bIndex, bLong, maxShape, pos, read`

    - ### Fields inherited from class org.eclipse.january.dataset.IndexIterator

      `index`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContiguousSingleIteratorElemental(Dataset a, Dataset b)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int[]` | `getPos()`
    `boolean` | `hasNext()`
    `void` | `reset()` Reset iterator

    - ### Methods inherited from class org.eclipse.january.dataset.BroadcastSelfIterator

      `createIterator, storeCurrentValues`

    - ### Methods inherited from class org.eclipse.january.dataset.BroadcastIteratorBase

      `getShape, isOutputDouble, setOutputDouble`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContiguousSingleIteratorElemental

          public ContiguousSingleIteratorElemental(Dataset a,
                                                   Dataset b)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in class `IndexIterator`
      Returns:
        true if there is another iteration

    - #### getPos

          public int[] getPos()

      Overrides:
        `getPos` in class `BroadcastIteratorBase`
      Returns:
        position indices (nb this is reference not a copy so avoid changing and can be null)

    - #### reset

          public void reset()

      Description copied from class: `IndexIterator`
      Reset iterator
      Specified by:
        `reset` in class `IndexIterator`

Copyright © 2014–2022 Eclipse Foundation. All rights reserved.